public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Michał Górny" <mgorny@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/simsimd/
Date: Tue, 17 Sep 2024 06:11:27 +0000 (UTC)	[thread overview]
Message-ID: <1726551363.b908648064ceac8e21b6c4a67360e6894583cd50.mgorny@gentoo> (raw)

commit:     b908648064ceac8e21b6c4a67360e6894583cd50
Author:     Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Tue Sep 17 05:36:03 2024 +0000
Commit:     Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Tue Sep 17 05:36:03 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b9086480

dev-python/simsimd: Bump to 5.3.0

Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>

 dev-python/simsimd/Manifest             |  1 +
 dev-python/simsimd/simsimd-5.3.0.ebuild | 64 +++++++++++++++++++++++++++++++++
 2 files changed, 65 insertions(+)

diff --git a/dev-python/simsimd/Manifest b/dev-python/simsimd/Manifest
index 6d5056d32c33..ba7b6491785c 100644
--- a/dev-python/simsimd/Manifest
+++ b/dev-python/simsimd/Manifest
@@ -1,2 +1,3 @@
 DIST SimSIMD-5.1.4.gh.tar.gz 149847 BLAKE2B 49aa9cfcee079b415d504989345be48c0b055e34dabd69240fdc02a35f51da81f25ab78fa27831e411d3853bca8b586314eae6840068715ec6a9c76c874162d6 SHA512 a656a71076d35c62cebe3d0cb2fc5eae87d9f13cb7a4427d74cb2959e813b4ff387ec30fe9a68e72e529fd0a76de468178652da1bba3b164eeb9f34df7d5d410
 DIST SimSIMD-5.2.1.gh.tar.gz 153081 BLAKE2B 2454d2266ca6d1b3302f4bf347dcc85d5c0750561e7d34906d5e7e2303e4cd0a7279d10f3065a63eeb14aedc6cd584510d29f29e60f7f57cd178a3066a4e28b8 SHA512 8263aada695ce68a1eb671c46a294fd317f9bb5d3a3ec5b4a8ab27b8b8ea5801c639b6bac3ba889bd6153444c76b7fa6d2982c25003af4cdfd0d8bc007b783f8
+DIST SimSIMD-5.3.0.gh.tar.gz 158052 BLAKE2B 31ef8c66812a53ddeac612dc990ae2181a339369522eb459c9e792641aef3484521352c514fa90795608595ce73b3f7bfe160cf86f318d6910e9544b75d94df4 SHA512 2e8e3e3f00897b3866bc9ee649c060ac3c891365a76be22d6f4c2a9e40755f37be93d713598d18019acf0f5129fab6dadfa68b7b1cbef90c77a9cd60ec18ec4d

diff --git a/dev-python/simsimd/simsimd-5.3.0.ebuild b/dev-python/simsimd/simsimd-5.3.0.ebuild
new file mode 100644
index 000000000000..633192d3f2c5
--- /dev/null
+++ b/dev-python/simsimd/simsimd-5.3.0.ebuild
@@ -0,0 +1,64 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( pypy3 python3_{10..13} )
+
+inherit distutils-r1 toolchain-funcs
+
+MY_P=SimSIMD-${PV}
+DESCRIPTION="Fastest SIMD-Accelerated Vector Similarity Functions for x86 and Arm"
+HOMEPAGE="
+	https://github.com/ashvardanian/SimSIMD/
+	https://pypi.org/project/simsimd/
+"
+# no sdist, as of 4.3.1
+# https://github.com/ashvardanian/SimSIMD/issues/113
+SRC_URI="
+	https://github.com/ashvardanian/SimSIMD/archive/v${PV}.tar.gz
+		-> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="openmp"
+
+BDEPEND="
+	test? (
+		dev-python/pytest-repeat[${PYTHON_USEDEP}]
+		dev-python/tabulate[${PYTHON_USEDEP}]
+	)
+"
+
+distutils_enable_tests pytest
+
+pkg_pretend() {
+	if [[ ${MERGE_TYPE} != binary ]] && use openmp; then
+		tc-check-openmp
+	fi
+}
+
+pkg_setup() {
+	if [[ ${MERGE_TYPE} != binary ]] && use openmp; then
+		tc-check-openmp
+	fi
+}
+
+src_prepare() {
+	sed -i -e '/-O3/d' setup.py || die
+	if ! use openmp; then
+		sed -i -e '/-fopenmp/d' setup.py || die
+	fi
+
+	distutils-r1_src_prepare
+}
+
+python_test() {
+	local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+	epytest -p repeat python/test.py
+}


             reply	other threads:[~2024-09-17  6:11 UTC|newest]

Thread overview: 56+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2024-09-17  6:11 Michał Górny [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-11-28  6:43 [gentoo-commits] repo/gentoo:master commit in: dev-python/simsimd/ Michał Górny
2024-11-21  6:01 Michał Górny
2024-11-21  6:01 Michał Górny
2024-11-20  7:56 Michał Górny
2024-11-20  7:56 Michał Górny
2024-11-19  4:42 Michał Górny
2024-11-13  6:55 Michał Górny
2024-11-13  6:55 Michał Górny
2024-11-10  3:07 Michał Górny
2024-11-08 20:27 Michał Górny
2024-11-06  7:11 Michał Górny
2024-11-05  5:53 Michał Górny
2024-11-05  5:53 Michał Górny
2024-11-04  5:04 Michał Górny
2024-11-04  5:04 Michał Górny
2024-11-02  6:32 Michał Górny
2024-10-31  5:24 Michał Górny
2024-10-31  5:24 Michał Górny
2024-10-30  3:41 Michał Górny
2024-10-29  6:51 Michał Górny
2024-10-28  4:32 Michał Górny
2024-10-28  4:32 Michał Górny
2024-10-18 17:47 Michał Górny
2024-10-18 17:47 Michał Górny
2024-10-17 17:03 Michał Górny
2024-10-17 17:03 Michał Górny
2024-10-17  2:51 Michał Górny
2024-10-16  4:54 Michał Górny
2024-10-15 12:57 Michał Górny
2024-10-15  7:00 Michał Górny
2024-10-15  7:00 Michał Górny
2024-10-10  5:03 Michał Górny
2024-10-10  5:03 Michał Górny
2024-10-07  4:43 Michał Górny
2024-10-05  4:58 Michał Górny
2024-10-05  4:58 Michał Górny
2024-10-03  3:31 Michał Górny
2024-09-28  7:42 Michał Górny
2024-09-28  7:42 Michał Górny
2024-09-21  7:41 Michał Górny
2024-09-20  5:12 Michał Górny
2024-09-18 14:03 Michał Górny
2024-09-18 14:03 Michał Górny
2024-09-15 12:41 Michał Górny
2024-09-15 12:41 Michał Górny
2024-09-14  6:27 Michał Górny
2024-09-13  3:12 Michał Górny
2024-09-13  3:12 Michał Górny
2024-09-12  4:43 Michał Górny
2024-09-12  4:43 Michał Górny
2024-09-11 18:39 Michał Górny
2024-09-07  6:23 Michał Górny
2024-08-18  6:04 Michał Górny
2024-08-06  4:45 Michał Górny
2024-05-05  9:56 Michał Górny

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1726551363.b908648064ceac8e21b6c4a67360e6894583cd50.mgorny@gentoo \
    --to=mgorny@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox